Bug 1984728 (CVE-2021-3658) - CVE-2021-3658 bluez: adapter incorrectly restores Discoverable state after powered down
Summary: CVE-2021-3658 bluez: adapter incorrectly restores Discoverable state after po...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-3658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1985132 1985133 1986232
Blocks: 2002251 1977896
TreeView+ depends on / blocked
 
Reported: 2021-07-22 03:24 UTC by Doran Moppert
Modified: 2021-10-28 05:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
bluetoothd from bluez incorrectly saves adapters' Discoverable status when a device is powered down, and restores it when powered up. If a device is powered down while discoverable, it will be discoverable when powered on again. This could lead to inadvertent exposure of the bluetooth stack to physically nearby attackers.
Clone Of:
Environment:
Last Closed: 2021-10-28 05:05:01 UTC


Attachments (Terms of Use)

Description Doran Moppert 2021-07-22 03:24:54 UTC
bluetoothd from bluez incorrectly saves adapters' Discoverable status when a device is powered down, and restores it when powered up.  If a device is powered down while discoverable, it will be discoverable when powered on again.  This could lead to inadvertent exposure of the bluetooth stack to physically proximate attackers.

Comment 3 Doran Moppert 2021-07-22 03:27:41 UTC
Related issue: CVE-2018-10910 (bz#1606203).

Comment 8 Doran Moppert 2021-07-27 02:04:39 UTC
Upstream commit:

https://git.kernel.org/pub/scm/bluetooth/bluez.git/commit/?id=b497b5942a8

Comment 9 Doran Moppert 2021-07-27 02:05:03 UTC
Created bluez tracking bugs for this issue:

Affects: fedora-all [bug 1986232]


Note You need to log in before you can comment on or make changes to this bug.